;
; File Name: cyfitteriar.inc
; 
; PSoC Creator  4.4
;
; Description:
; 
;
;-------------------------------------------------------------------------------
; Copyright (c) 2007-2020 Cypress Semiconductor.  All rights reserved.
; You may use this file only in accordance with the license, terms, conditions, 
; disclaimers, and limitations in the end user license agreement accompanying 
; the software package with which this file was provided.
;-------------------------------------------------------------------------------

#ifndef INCLUDED_CYFITTERIAR_INC
#define INCLUDED_CYFITTERIAR_INC
    INCLUDE cydeviceiar_trm.inc

/* FAN */
FAN__0__DR EQU CYREG_GPIO_PRT0_DR
FAN__0__DR_CLR EQU CYREG_GPIO_PRT0_DR_CLR
FAN__0__DR_INV EQU CYREG_GPIO_PRT0_DR_INV
FAN__0__DR_SET EQU CYREG_GPIO_PRT0_DR_SET
FAN__0__HSIOM EQU CYREG_HSIOM_PORT_SEL0
FAN__0__HSIOM_MASK EQU 0xF0000000
FAN__0__HSIOM_SHIFT EQU 28
FAN__0__INTCFG EQU CYREG_GPIO_PRT0_INTR_CFG
FAN__0__INTR EQU CYREG_GPIO_PRT0_INTR
FAN__0__INTR_CFG EQU CYREG_GPIO_PRT0_INTR_CFG
FAN__0__INTSTAT EQU CYREG_GPIO_PRT0_INTR
FAN__0__MASK EQU 0x80
FAN__0__PC EQU CYREG_GPIO_PRT0_PC
FAN__0__PC2 EQU CYREG_GPIO_PRT0_PC2
FAN__0__PORT EQU 0
FAN__0__PS EQU CYREG_GPIO_PRT0_PS
FAN__0__SHIFT EQU 7
FAN__DR EQU CYREG_GPIO_PRT0_DR
FAN__DR_CLR EQU CYREG_GPIO_PRT0_DR_CLR
FAN__DR_INV EQU CYREG_GPIO_PRT0_DR_INV
FAN__DR_SET EQU CYREG_GPIO_PRT0_DR_SET
FAN__INTCFG EQU CYREG_GPIO_PRT0_INTR_CFG
FAN__INTR EQU CYREG_GPIO_PRT0_INTR
FAN__INTR_CFG EQU CYREG_GPIO_PRT0_INTR_CFG
FAN__INTSTAT EQU CYREG_GPIO_PRT0_INTR
FAN__MASK EQU 0x80
FAN__PC EQU CYREG_GPIO_PRT0_PC
FAN__PC2 EQU CYREG_GPIO_PRT0_PC2
FAN__PORT EQU 0
FAN__PS EQU CYREG_GPIO_PRT0_PS
FAN__SHIFT EQU 7

/* LCD */
LCD_LCDPort__0__DR EQU CYREG_GPIO_PRT0_DR
LCD_LCDPort__0__DR_CLR EQU CYREG_GPIO_PRT0_DR_CLR
LCD_LCDPort__0__DR_INV EQU CYREG_GPIO_PRT0_DR_INV
LCD_LCDPort__0__DR_SET EQU CYREG_GPIO_PRT0_DR_SET
LCD_LCDPort__0__HSIOM EQU CYREG_HSIOM_PORT_SEL0
LCD_LCDPort__0__HSIOM_MASK EQU 0x0000000F
LCD_LCDPort__0__HSIOM_SHIFT EQU 0
LCD_LCDPort__0__INTCFG EQU CYREG_GPIO_PRT0_INTR_CFG
LCD_LCDPort__0__INTR EQU CYREG_GPIO_PRT0_INTR
LCD_LCDPort__0__INTR_CFG EQU CYREG_GPIO_PRT0_INTR_CFG
LCD_LCDPort__0__INTSTAT EQU CYREG_GPIO_PRT0_INTR
LCD_LCDPort__0__MASK EQU 0x01
LCD_LCDPort__0__PC EQU CYREG_GPIO_PRT0_PC
LCD_LCDPort__0__PC2 EQU CYREG_GPIO_PRT0_PC2
LCD_LCDPort__0__PORT EQU 0
LCD_LCDPort__0__PS EQU CYREG_GPIO_PRT0_PS
LCD_LCDPort__0__SHIFT EQU 0
LCD_LCDPort__1__DR EQU CYREG_GPIO_PRT0_DR
LCD_LCDPort__1__DR_CLR EQU CYREG_GPIO_PRT0_DR_CLR
LCD_LCDPort__1__DR_INV EQU CYREG_GPIO_PRT0_DR_INV
LCD_LCDPort__1__DR_SET EQU CYREG_GPIO_PRT0_DR_SET
LCD_LCDPort__1__HSIOM EQU CYREG_HSIOM_PORT_SEL0
LCD_LCDPort__1__HSIOM_MASK EQU 0x000000F0
LCD_LCDPort__1__HSIOM_SHIFT EQU 4
LCD_LCDPort__1__INTCFG EQU CYREG_GPIO_PRT0_INTR_CFG
LCD_LCDPort__1__INTR EQU CYREG_GPIO_PRT0_INTR
LCD_LCDPort__1__INTR_CFG EQU CYREG_GPIO_PRT0_INTR_CFG
LCD_LCDPort__1__INTSTAT EQU CYREG_GPIO_PRT0_INTR
LCD_LCDPort__1__MASK EQU 0x02
LCD_LCDPort__1__PC EQU CYREG_GPIO_PRT0_PC
LCD_LCDPort__1__PC2 EQU CYREG_GPIO_PRT0_PC2
LCD_LCDPort__1__PORT EQU 0
LCD_LCDPort__1__PS EQU CYREG_GPIO_PRT0_PS
LCD_LCDPort__1__SHIFT EQU 1
LCD_LCDPort__2__DR EQU CYREG_GPIO_PRT0_DR
LCD_LCDPort__2__DR_CLR EQU CYREG_GPIO_PRT0_DR_CLR
LCD_LCDPort__2__DR_INV EQU CYREG_GPIO_PRT0_DR_INV
LCD_LCDPort__2__DR_SET EQU CYREG_GPIO_PRT0_DR_SET
LCD_LCDPort__2__HSIOM EQU CYREG_HSIOM_PORT_SEL0
LCD_LCDPort__2__HSIOM_MASK EQU 0x00000F00
LCD_LCDPort__2__HSIOM_SHIFT EQU 8
LCD_LCDPort__2__INTCFG EQU CYREG_GPIO_PRT0_INTR_CFG
LCD_LCDPort__2__INTR EQU CYREG_GPIO_PRT0_INTR
LCD_LCDPort__2__INTR_CFG EQU CYREG_GPIO_PRT0_INTR_CFG
LCD_LCDPort__2__INTSTAT EQU CYREG_GPIO_PRT0_INTR
LCD_LCDPort__2__MASK EQU 0x04
LCD_LCDPort__2__PC EQU CYREG_GPIO_PRT0_PC
LCD_LCDPort__2__PC2 EQU CYREG_GPIO_PRT0_PC2
LCD_LCDPort__2__PORT EQU 0
LCD_LCDPort__2__PS EQU CYREG_GPIO_PRT0_PS
LCD_LCDPort__2__SHIFT EQU 2
LCD_LCDPort__3__DR EQU CYREG_GPIO_PRT0_DR
LCD_LCDPort__3__DR_CLR EQU CYREG_GPIO_PRT0_DR_CLR
LCD_LCDPort__3__DR_INV EQU CYREG_GPIO_PRT0_DR_INV
LCD_LCDPort__3__DR_SET EQU CYREG_GPIO_PRT0_DR_SET
LCD_LCDPort__3__HSIOM EQU CYREG_HSIOM_PORT_SEL0
LCD_LCDPort__3__HSIOM_MASK EQU 0x0000F000
LCD_LCDPort__3__HSIOM_SHIFT EQU 12
LCD_LCDPort__3__INTCFG EQU CYREG_GPIO_PRT0_INTR_CFG
LCD_LCDPort__3__INTR EQU CYREG_GPIO_PRT0_INTR
LCD_LCDPort__3__INTR_CFG EQU CYREG_GPIO_PRT0_INTR_CFG
LCD_LCDPort__3__INTSTAT EQU CYREG_GPIO_PRT0_INTR
LCD_LCDPort__3__MASK EQU 0x08
LCD_LCDPort__3__PC EQU CYREG_GPIO_PRT0_PC
LCD_LCDPort__3__PC2 EQU CYREG_GPIO_PRT0_PC2
LCD_LCDPort__3__PORT EQU 0
LCD_LCDPort__3__PS EQU CYREG_GPIO_PRT0_PS
LCD_LCDPort__3__SHIFT EQU 3
LCD_LCDPort__4__DR EQU CYREG_GPIO_PRT0_DR
LCD_LCDPort__4__DR_CLR EQU CYREG_GPIO_PRT0_DR_CLR
LCD_LCDPort__4__DR_INV EQU CYREG_GPIO_PRT0_DR_INV
LCD_LCDPort__4__DR_SET EQU CYREG_GPIO_PRT0_DR_SET
LCD_LCDPort__4__HSIOM EQU CYREG_HSIOM_PORT_SEL0
LCD_LCDPort__4__HSIOM_MASK EQU 0x000F0000
LCD_LCDPort__4__HSIOM_SHIFT EQU 16
LCD_LCDPort__4__INTCFG EQU CYREG_GPIO_PRT0_INTR_CFG
LCD_LCDPort__4__INTR EQU CYREG_GPIO_PRT0_INTR
LCD_LCDPort__4__INTR_CFG EQU CYREG_GPIO_PRT0_INTR_CFG
LCD_LCDPort__4__INTSTAT EQU CYREG_GPIO_PRT0_INTR
LCD_LCDPort__4__MASK EQU 0x10
LCD_LCDPort__4__PC EQU CYREG_GPIO_PRT0_PC
LCD_LCDPort__4__PC2 EQU CYREG_GPIO_PRT0_PC2
LCD_LCDPort__4__PORT EQU 0
LCD_LCDPort__4__PS EQU CYREG_GPIO_PRT0_PS
LCD_LCDPort__4__SHIFT EQU 4
LCD_LCDPort__5__DR EQU CYREG_GPIO_PRT0_DR
LCD_LCDPort__5__DR_CLR EQU CYREG_GPIO_PRT0_DR_CLR
LCD_LCDPort__5__DR_INV EQU CYREG_GPIO_PRT0_DR_INV
LCD_LCDPort__5__DR_SET EQU CYREG_GPIO_PRT0_DR_SET
LCD_LCDPort__5__HSIOM EQU CYREG_HSIOM_PORT_SEL0
LCD_LCDPort__5__HSIOM_MASK EQU 0x00F00000
LCD_LCDPort__5__HSIOM_SHIFT EQU 20
LCD_LCDPort__5__INTCFG EQU CYREG_GPIO_PRT0_INTR_CFG
LCD_LCDPort__5__INTR EQU CYREG_GPIO_PRT0_INTR
LCD_LCDPort__5__INTR_CFG EQU CYREG_GPIO_PRT0_INTR_CFG
LCD_LCDPort__5__INTSTAT EQU CYREG_GPIO_PRT0_INTR
LCD_LCDPort__5__MASK EQU 0x20
LCD_LCDPort__5__PC EQU CYREG_GPIO_PRT0_PC
LCD_LCDPort__5__PC2 EQU CYREG_GPIO_PRT0_PC2
LCD_LCDPort__5__PORT EQU 0
LCD_LCDPort__5__PS EQU CYREG_GPIO_PRT0_PS
LCD_LCDPort__5__SHIFT EQU 5
LCD_LCDPort__6__DR EQU CYREG_GPIO_PRT0_DR
LCD_LCDPort__6__DR_CLR EQU CYREG_GPIO_PRT0_DR_CLR
LCD_LCDPort__6__DR_INV EQU CYREG_GPIO_PRT0_DR_INV
LCD_LCDPort__6__DR_SET EQU CYREG_GPIO_PRT0_DR_SET
LCD_LCDPort__6__HSIOM EQU CYREG_HSIOM_PORT_SEL0
LCD_LCDPort__6__HSIOM_MASK EQU 0x0F000000
LCD_LCDPort__6__HSIOM_SHIFT EQU 24
LCD_LCDPort__6__INTCFG EQU CYREG_GPIO_PRT0_INTR_CFG
LCD_LCDPort__6__INTR EQU CYREG_GPIO_PRT0_INTR
LCD_LCDPort__6__INTR_CFG EQU CYREG_GPIO_PRT0_INTR_CFG
LCD_LCDPort__6__INTSTAT EQU CYREG_GPIO_PRT0_INTR
LCD_LCDPort__6__MASK EQU 0x40
LCD_LCDPort__6__PC EQU CYREG_GPIO_PRT0_PC
LCD_LCDPort__6__PC2 EQU CYREG_GPIO_PRT0_PC2
LCD_LCDPort__6__PORT EQU 0
LCD_LCDPort__6__PS EQU CYREG_GPIO_PRT0_PS
LCD_LCDPort__6__SHIFT EQU 6
LCD_LCDPort__DR EQU CYREG_GPIO_PRT0_DR
LCD_LCDPort__DR_CLR EQU CYREG_GPIO_PRT0_DR_CLR
LCD_LCDPort__DR_INV EQU CYREG_GPIO_PRT0_DR_INV
LCD_LCDPort__DR_SET EQU CYREG_GPIO_PRT0_DR_SET
LCD_LCDPort__INTCFG EQU CYREG_GPIO_PRT0_INTR_CFG
LCD_LCDPort__INTR EQU CYREG_GPIO_PRT0_INTR
LCD_LCDPort__INTR_CFG EQU CYREG_GPIO_PRT0_INTR_CFG
LCD_LCDPort__INTSTAT EQU CYREG_GPIO_PRT0_INTR
LCD_LCDPort__MASK EQU 0x7F
LCD_LCDPort__PC EQU CYREG_GPIO_PRT0_PC
LCD_LCDPort__PC2 EQU CYREG_GPIO_PRT0_PC2
LCD_LCDPort__PORT EQU 0
LCD_LCDPort__PS EQU CYREG_GPIO_PRT0_PS
LCD_LCDPort__SHIFT EQU 0

/* SIC_1 */
SIC_1__0__DR EQU CYREG_GPIO_PRT2_DR
SIC_1__0__DR_CLR EQU CYREG_GPIO_PRT2_DR_CLR
SIC_1__0__DR_INV EQU CYREG_GPIO_PRT2_DR_INV
SIC_1__0__DR_SET EQU CYREG_GPIO_PRT2_DR_SET
SIC_1__0__HSIOM EQU CYREG_HSIOM_PORT_SEL2
SIC_1__0__HSIOM_MASK EQU 0x0000000F
SIC_1__0__HSIOM_SHIFT EQU 0
SIC_1__0__INTCFG EQU CYREG_GPIO_PRT2_INTR_CFG
SIC_1__0__INTR EQU CYREG_GPIO_PRT2_INTR
SIC_1__0__INTR_CFG EQU CYREG_GPIO_PRT2_INTR_CFG
SIC_1__0__INTSTAT EQU CYREG_GPIO_PRT2_INTR
SIC_1__0__MASK EQU 0x01
SIC_1__0__PC EQU CYREG_GPIO_PRT2_PC
SIC_1__0__PC2 EQU CYREG_GPIO_PRT2_PC2
SIC_1__0__PORT EQU 2
SIC_1__0__PS EQU CYREG_GPIO_PRT2_PS
SIC_1__0__SHIFT EQU 0
SIC_1__DR EQU CYREG_GPIO_PRT2_DR
SIC_1__DR_CLR EQU CYREG_GPIO_PRT2_DR_CLR
SIC_1__DR_INV EQU CYREG_GPIO_PRT2_DR_INV
SIC_1__DR_SET EQU CYREG_GPIO_PRT2_DR_SET
SIC_1__INTCFG EQU CYREG_GPIO_PRT2_INTR_CFG
SIC_1__INTR EQU CYREG_GPIO_PRT2_INTR
SIC_1__INTR_CFG EQU CYREG_GPIO_PRT2_INTR_CFG
SIC_1__INTSTAT EQU CYREG_GPIO_PRT2_INTR
SIC_1__MASK EQU 0x01
SIC_1__PC EQU CYREG_GPIO_PRT2_PC
SIC_1__PC2 EQU CYREG_GPIO_PRT2_PC2
SIC_1__PORT EQU 2
SIC_1__PS EQU CYREG_GPIO_PRT2_PS
SIC_1__SHIFT EQU 0

/* SIC_2 */
SIC_2__0__DR EQU CYREG_GPIO_PRT2_DR
SIC_2__0__DR_CLR EQU CYREG_GPIO_PRT2_DR_CLR
SIC_2__0__DR_INV EQU CYREG_GPIO_PRT2_DR_INV
SIC_2__0__DR_SET EQU CYREG_GPIO_PRT2_DR_SET
SIC_2__0__HSIOM EQU CYREG_HSIOM_PORT_SEL2
SIC_2__0__HSIOM_MASK EQU 0x000000F0
SIC_2__0__HSIOM_SHIFT EQU 4
SIC_2__0__INTCFG EQU CYREG_GPIO_PRT2_INTR_CFG
SIC_2__0__INTR EQU CYREG_GPIO_PRT2_INTR
SIC_2__0__INTR_CFG EQU CYREG_GPIO_PRT2_INTR_CFG
SIC_2__0__INTSTAT EQU CYREG_GPIO_PRT2_INTR
SIC_2__0__MASK EQU 0x02
SIC_2__0__PC EQU CYREG_GPIO_PRT2_PC
SIC_2__0__PC2 EQU CYREG_GPIO_PRT2_PC2
SIC_2__0__PORT EQU 2
SIC_2__0__PS EQU CYREG_GPIO_PRT2_PS
SIC_2__0__SHIFT EQU 1
SIC_2__DR EQU CYREG_GPIO_PRT2_DR
SIC_2__DR_CLR EQU CYREG_GPIO_PRT2_DR_CLR
SIC_2__DR_INV EQU CYREG_GPIO_PRT2_DR_INV
SIC_2__DR_SET EQU CYREG_GPIO_PRT2_DR_SET
SIC_2__INTCFG EQU CYREG_GPIO_PRT2_INTR_CFG
SIC_2__INTR EQU CYREG_GPIO_PRT2_INTR
SIC_2__INTR_CFG EQU CYREG_GPIO_PRT2_INTR_CFG
SIC_2__INTSTAT EQU CYREG_GPIO_PRT2_INTR
SIC_2__MASK EQU 0x02
SIC_2__PC EQU CYREG_GPIO_PRT2_PC
SIC_2__PC2 EQU CYREG_GPIO_PRT2_PC2
SIC_2__PORT EQU 2
SIC_2__PS EQU CYREG_GPIO_PRT2_PS
SIC_2__SHIFT EQU 1

/* SIC_3 */
SIC_3__0__DR EQU CYREG_GPIO_PRT2_DR
SIC_3__0__DR_CLR EQU CYREG_GPIO_PRT2_DR_CLR
SIC_3__0__DR_INV EQU CYREG_GPIO_PRT2_DR_INV
SIC_3__0__DR_SET EQU CYREG_GPIO_PRT2_DR_SET
SIC_3__0__HSIOM EQU CYREG_HSIOM_PORT_SEL2
SIC_3__0__HSIOM_MASK EQU 0x00000F00
SIC_3__0__HSIOM_SHIFT EQU 8
SIC_3__0__INTCFG EQU CYREG_GPIO_PRT2_INTR_CFG
SIC_3__0__INTR EQU CYREG_GPIO_PRT2_INTR
SIC_3__0__INTR_CFG EQU CYREG_GPIO_PRT2_INTR_CFG
SIC_3__0__INTSTAT EQU CYREG_GPIO_PRT2_INTR
SIC_3__0__MASK EQU 0x04
SIC_3__0__PC EQU CYREG_GPIO_PRT2_PC
SIC_3__0__PC2 EQU CYREG_GPIO_PRT2_PC2
SIC_3__0__PORT EQU 2
SIC_3__0__PS EQU CYREG_GPIO_PRT2_PS
SIC_3__0__SHIFT EQU 2
SIC_3__DR EQU CYREG_GPIO_PRT2_DR
SIC_3__DR_CLR EQU CYREG_GPIO_PRT2_DR_CLR
SIC_3__DR_INV EQU CYREG_GPIO_PRT2_DR_INV
SIC_3__DR_SET EQU CYREG_GPIO_PRT2_DR_SET
SIC_3__INTCFG EQU CYREG_GPIO_PRT2_INTR_CFG
SIC_3__INTR EQU CYREG_GPIO_PRT2_INTR
SIC_3__INTR_CFG EQU CYREG_GPIO_PRT2_INTR_CFG
SIC_3__INTSTAT EQU CYREG_GPIO_PRT2_INTR
SIC_3__MASK EQU 0x04
SIC_3__PC EQU CYREG_GPIO_PRT2_PC
SIC_3__PC2 EQU CYREG_GPIO_PRT2_PC2
SIC_3__PORT EQU 2
SIC_3__PS EQU CYREG_GPIO_PRT2_PS
SIC_3__SHIFT EQU 2

/* SIC_4 */
SIC_4__0__DR EQU CYREG_GPIO_PRT2_DR
SIC_4__0__DR_CLR EQU CYREG_GPIO_PRT2_DR_CLR
SIC_4__0__DR_INV EQU CYREG_GPIO_PRT2_DR_INV
SIC_4__0__DR_SET EQU CYREG_GPIO_PRT2_DR_SET
SIC_4__0__HSIOM EQU CYREG_HSIOM_PORT_SEL2
SIC_4__0__HSIOM_MASK EQU 0x0000F000
SIC_4__0__HSIOM_SHIFT EQU 12
SIC_4__0__INTCFG EQU CYREG_GPIO_PRT2_INTR_CFG
SIC_4__0__INTR EQU CYREG_GPIO_PRT2_INTR
SIC_4__0__INTR_CFG EQU CYREG_GPIO_PRT2_INTR_CFG
SIC_4__0__INTSTAT EQU CYREG_GPIO_PRT2_INTR
SIC_4__0__MASK EQU 0x08
SIC_4__0__PC EQU CYREG_GPIO_PRT2_PC
SIC_4__0__PC2 EQU CYREG_GPIO_PRT2_PC2
SIC_4__0__PORT EQU 2
SIC_4__0__PS EQU CYREG_GPIO_PRT2_PS
SIC_4__0__SHIFT EQU 3
SIC_4__DR EQU CYREG_GPIO_PRT2_DR
SIC_4__DR_CLR EQU CYREG_GPIO_PRT2_DR_CLR
SIC_4__DR_INV EQU CYREG_GPIO_PRT2_DR_INV
SIC_4__DR_SET EQU CYREG_GPIO_PRT2_DR_SET
SIC_4__INTCFG EQU CYREG_GPIO_PRT2_INTR_CFG
SIC_4__INTR EQU CYREG_GPIO_PRT2_INTR
SIC_4__INTR_CFG EQU CYREG_GPIO_PRT2_INTR_CFG
SIC_4__INTSTAT EQU CYREG_GPIO_PRT2_INTR
SIC_4__MASK EQU 0x08
SIC_4__PC EQU CYREG_GPIO_PRT2_PC
SIC_4__PC2 EQU CYREG_GPIO_PRT2_PC2
SIC_4__PORT EQU 2
SIC_4__PS EQU CYREG_GPIO_PRT2_PS
SIC_4__SHIFT EQU 3

/* SIC_5 */
SIC_5__0__DR EQU CYREG_GPIO_PRT2_DR
SIC_5__0__DR_CLR EQU CYREG_GPIO_PRT2_DR_CLR
SIC_5__0__DR_INV EQU CYREG_GPIO_PRT2_DR_INV
SIC_5__0__DR_SET EQU CYREG_GPIO_PRT2_DR_SET
SIC_5__0__HSIOM EQU CYREG_HSIOM_PORT_SEL2
SIC_5__0__HSIOM_MASK EQU 0x000F0000
SIC_5__0__HSIOM_SHIFT EQU 16
SIC_5__0__INTCFG EQU CYREG_GPIO_PRT2_INTR_CFG
SIC_5__0__INTR EQU CYREG_GPIO_PRT2_INTR
SIC_5__0__INTR_CFG EQU CYREG_GPIO_PRT2_INTR_CFG
SIC_5__0__INTSTAT EQU CYREG_GPIO_PRT2_INTR
SIC_5__0__MASK EQU 0x10
SIC_5__0__PC EQU CYREG_GPIO_PRT2_PC
SIC_5__0__PC2 EQU CYREG_GPIO_PRT2_PC2
SIC_5__0__PORT EQU 2
SIC_5__0__PS EQU CYREG_GPIO_PRT2_PS
SIC_5__0__SHIFT EQU 4
SIC_5__DR EQU CYREG_GPIO_PRT2_DR
SIC_5__DR_CLR EQU CYREG_GPIO_PRT2_DR_CLR
SIC_5__DR_INV EQU CYREG_GPIO_PRT2_DR_INV
SIC_5__DR_SET EQU CYREG_GPIO_PRT2_DR_SET
SIC_5__INTCFG EQU CYREG_GPIO_PRT2_INTR_CFG
SIC_5__INTR EQU CYREG_GPIO_PRT2_INTR
SIC_5__INTR_CFG EQU CYREG_GPIO_PRT2_INTR_CFG
SIC_5__INTSTAT EQU CYREG_GPIO_PRT2_INTR
SIC_5__MASK EQU 0x10
SIC_5__PC EQU CYREG_GPIO_PRT2_PC
SIC_5__PC2 EQU CYREG_GPIO_PRT2_PC2
SIC_5__PORT EQU 2
SIC_5__PS EQU CYREG_GPIO_PRT2_PS
SIC_5__SHIFT EQU 4

/* SIC_6 */
SIC_6__0__DR EQU CYREG_GPIO_PRT2_DR
SIC_6__0__DR_CLR EQU CYREG_GPIO_PRT2_DR_CLR
SIC_6__0__DR_INV EQU CYREG_GPIO_PRT2_DR_INV
SIC_6__0__DR_SET EQU CYREG_GPIO_PRT2_DR_SET
SIC_6__0__HSIOM EQU CYREG_HSIOM_PORT_SEL2
SIC_6__0__HSIOM_MASK EQU 0x00F00000
SIC_6__0__HSIOM_SHIFT EQU 20
SIC_6__0__INTCFG EQU CYREG_GPIO_PRT2_INTR_CFG
SIC_6__0__INTR EQU CYREG_GPIO_PRT2_INTR
SIC_6__0__INTR_CFG EQU CYREG_GPIO_PRT2_INTR_CFG
SIC_6__0__INTSTAT EQU CYREG_GPIO_PRT2_INTR
SIC_6__0__MASK EQU 0x20
SIC_6__0__PC EQU CYREG_GPIO_PRT2_PC
SIC_6__0__PC2 EQU CYREG_GPIO_PRT2_PC2
SIC_6__0__PORT EQU 2
SIC_6__0__PS EQU CYREG_GPIO_PRT2_PS
SIC_6__0__SHIFT EQU 5
SIC_6__DR EQU CYREG_GPIO_PRT2_DR
SIC_6__DR_CLR EQU CYREG_GPIO_PRT2_DR_CLR
SIC_6__DR_INV EQU CYREG_GPIO_PRT2_DR_INV
SIC_6__DR_SET EQU CYREG_GPIO_PRT2_DR_SET
SIC_6__INTCFG EQU CYREG_GPIO_PRT2_INTR_CFG
SIC_6__INTR EQU CYREG_GPIO_PRT2_INTR
SIC_6__INTR_CFG EQU CYREG_GPIO_PRT2_INTR_CFG
SIC_6__INTSTAT EQU CYREG_GPIO_PRT2_INTR
SIC_6__MASK EQU 0x20
SIC_6__PC EQU CYREG_GPIO_PRT2_PC
SIC_6__PC2 EQU CYREG_GPIO_PRT2_PC2
SIC_6__PORT EQU 2
SIC_6__PS EQU CYREG_GPIO_PRT2_PS
SIC_6__SHIFT EQU 5

/* SIC_7 */
SIC_7__0__DR EQU CYREG_GPIO_PRT2_DR
SIC_7__0__DR_CLR EQU CYREG_GPIO_PRT2_DR_CLR
SIC_7__0__DR_INV EQU CYREG_GPIO_PRT2_DR_INV
SIC_7__0__DR_SET EQU CYREG_GPIO_PRT2_DR_SET
SIC_7__0__HSIOM EQU CYREG_HSIOM_PORT_SEL2
SIC_7__0__HSIOM_MASK EQU 0x0F000000
SIC_7__0__HSIOM_SHIFT EQU 24
SIC_7__0__INTCFG EQU CYREG_GPIO_PRT2_INTR_CFG
SIC_7__0__INTR EQU CYREG_GPIO_PRT2_INTR
SIC_7__0__INTR_CFG EQU CYREG_GPIO_PRT2_INTR_CFG
SIC_7__0__INTSTAT EQU CYREG_GPIO_PRT2_INTR
SIC_7__0__MASK EQU 0x40
SIC_7__0__PC EQU CYREG_GPIO_PRT2_PC
SIC_7__0__PC2 EQU CYREG_GPIO_PRT2_PC2
SIC_7__0__PORT EQU 2
SIC_7__0__PS EQU CYREG_GPIO_PRT2_PS
SIC_7__0__SHIFT EQU 6
SIC_7__DR EQU CYREG_GPIO_PRT2_DR
SIC_7__DR_CLR EQU CYREG_GPIO_PRT2_DR_CLR
SIC_7__DR_INV EQU CYREG_GPIO_PRT2_DR_INV
SIC_7__DR_SET EQU CYREG_GPIO_PRT2_DR_SET
SIC_7__INTCFG EQU CYREG_GPIO_PRT2_INTR_CFG
SIC_7__INTR EQU CYREG_GPIO_PRT2_INTR
SIC_7__INTR_CFG EQU CYREG_GPIO_PRT2_INTR_CFG
SIC_7__INTSTAT EQU CYREG_GPIO_PRT2_INTR
SIC_7__MASK EQU 0x40
SIC_7__PC EQU CYREG_GPIO_PRT2_PC
SIC_7__PC2 EQU CYREG_GPIO_PRT2_PC2
SIC_7__PORT EQU 2
SIC_7__PS EQU CYREG_GPIO_PRT2_PS
SIC_7__SHIFT EQU 6

/* SIC_8 */
SIC_8__0__DR EQU CYREG_GPIO_PRT2_DR
SIC_8__0__DR_CLR EQU CYREG_GPIO_PRT2_DR_CLR
SIC_8__0__DR_INV EQU CYREG_GPIO_PRT2_DR_INV
SIC_8__0__DR_SET EQU CYREG_GPIO_PRT2_DR_SET
SIC_8__0__HSIOM EQU CYREG_HSIOM_PORT_SEL2
SIC_8__0__HSIOM_MASK EQU 0xF0000000
SIC_8__0__HSIOM_SHIFT EQU 28
SIC_8__0__INTCFG EQU CYREG_GPIO_PRT2_INTR_CFG
SIC_8__0__INTR EQU CYREG_GPIO_PRT2_INTR
SIC_8__0__INTR_CFG EQU CYREG_GPIO_PRT2_INTR_CFG
SIC_8__0__INTSTAT EQU CYREG_GPIO_PRT2_INTR
SIC_8__0__MASK EQU 0x80
SIC_8__0__PC EQU CYREG_GPIO_PRT2_PC
SIC_8__0__PC2 EQU CYREG_GPIO_PRT2_PC2
SIC_8__0__PORT EQU 2
SIC_8__0__PS EQU CYREG_GPIO_PRT2_PS
SIC_8__0__SHIFT EQU 7
SIC_8__DR EQU CYREG_GPIO_PRT2_DR
SIC_8__DR_CLR EQU CYREG_GPIO_PRT2_DR_CLR
SIC_8__DR_INV EQU CYREG_GPIO_PRT2_DR_INV
SIC_8__DR_SET EQU CYREG_GPIO_PRT2_DR_SET
SIC_8__INTCFG EQU CYREG_GPIO_PRT2_INTR_CFG
SIC_8__INTR EQU CYREG_GPIO_PRT2_INTR
SIC_8__INTR_CFG EQU CYREG_GPIO_PRT2_INTR_CFG
SIC_8__INTSTAT EQU CYREG_GPIO_PRT2_INTR
SIC_8__MASK EQU 0x80
SIC_8__PC EQU CYREG_GPIO_PRT2_PC
SIC_8__PC2 EQU CYREG_GPIO_PRT2_PC2
SIC_8__PORT EQU 2
SIC_8__PS EQU CYREG_GPIO_PRT2_PS
SIC_8__SHIFT EQU 7

/* SOL_1 */
SOL_1__0__DR EQU CYREG_GPIO_PRT1_DR
SOL_1__0__DR_CLR EQU CYREG_GPIO_PRT1_DR_CLR
SOL_1__0__DR_INV EQU CYREG_GPIO_PRT1_DR_INV
SOL_1__0__DR_SET EQU CYREG_GPIO_PRT1_DR_SET
SOL_1__0__HSIOM EQU CYREG_HSIOM_PORT_SEL1
SOL_1__0__HSIOM_MASK EQU 0xF0000000
SOL_1__0__HSIOM_SHIFT EQU 28
SOL_1__0__INTCFG EQU CYREG_GPIO_PRT1_INTR_CFG
SOL_1__0__INTR EQU CYREG_GPIO_PRT1_INTR
SOL_1__0__INTR_CFG EQU CYREG_GPIO_PRT1_INTR_CFG
SOL_1__0__INTSTAT EQU CYREG_GPIO_PRT1_INTR
SOL_1__0__MASK EQU 0x80
SOL_1__0__PC EQU CYREG_GPIO_PRT1_PC
SOL_1__0__PC2 EQU CYREG_GPIO_PRT1_PC2
SOL_1__0__PORT EQU 1
SOL_1__0__PS EQU CYREG_GPIO_PRT1_PS
SOL_1__0__SHIFT EQU 7
SOL_1__DR EQU CYREG_GPIO_PRT1_DR
SOL_1__DR_CLR EQU CYREG_GPIO_PRT1_DR_CLR
SOL_1__DR_INV EQU CYREG_GPIO_PRT1_DR_INV
SOL_1__DR_SET EQU CYREG_GPIO_PRT1_DR_SET
SOL_1__INTCFG EQU CYREG_GPIO_PRT1_INTR_CFG
SOL_1__INTR EQU CYREG_GPIO_PRT1_INTR
SOL_1__INTR_CFG EQU CYREG_GPIO_PRT1_INTR_CFG
SOL_1__INTSTAT EQU CYREG_GPIO_PRT1_INTR
SOL_1__MASK EQU 0x80
SOL_1__PC EQU CYREG_GPIO_PRT1_PC
SOL_1__PC2 EQU CYREG_GPIO_PRT1_PC2
SOL_1__PORT EQU 1
SOL_1__PS EQU CYREG_GPIO_PRT1_PS
SOL_1__SHIFT EQU 7

/* SOL_2 */
SOL_2__0__DR EQU CYREG_GPIO_PRT1_DR
SOL_2__0__DR_CLR EQU CYREG_GPIO_PRT1_DR_CLR
SOL_2__0__DR_INV EQU CYREG_GPIO_PRT1_DR_INV
SOL_2__0__DR_SET EQU CYREG_GPIO_PRT1_DR_SET
SOL_2__0__HSIOM EQU CYREG_HSIOM_PORT_SEL1
SOL_2__0__HSIOM_MASK EQU 0x0F000000
SOL_2__0__HSIOM_SHIFT EQU 24
SOL_2__0__INTCFG EQU CYREG_GPIO_PRT1_INTR_CFG
SOL_2__0__INTR EQU CYREG_GPIO_PRT1_INTR
SOL_2__0__INTR_CFG EQU CYREG_GPIO_PRT1_INTR_CFG
SOL_2__0__INTSTAT EQU CYREG_GPIO_PRT1_INTR
SOL_2__0__MASK EQU 0x40
SOL_2__0__PC EQU CYREG_GPIO_PRT1_PC
SOL_2__0__PC2 EQU CYREG_GPIO_PRT1_PC2
SOL_2__0__PORT EQU 1
SOL_2__0__PS EQU CYREG_GPIO_PRT1_PS
SOL_2__0__SHIFT EQU 6
SOL_2__DR EQU CYREG_GPIO_PRT1_DR
SOL_2__DR_CLR EQU CYREG_GPIO_PRT1_DR_CLR
SOL_2__DR_INV EQU CYREG_GPIO_PRT1_DR_INV
SOL_2__DR_SET EQU CYREG_GPIO_PRT1_DR_SET
SOL_2__INTCFG EQU CYREG_GPIO_PRT1_INTR_CFG
SOL_2__INTR EQU CYREG_GPIO_PRT1_INTR
SOL_2__INTR_CFG EQU CYREG_GPIO_PRT1_INTR_CFG
SOL_2__INTSTAT EQU CYREG_GPIO_PRT1_INTR
SOL_2__MASK EQU 0x40
SOL_2__PC EQU CYREG_GPIO_PRT1_PC
SOL_2__PC2 EQU CYREG_GPIO_PRT1_PC2
SOL_2__PORT EQU 1
SOL_2__PS EQU CYREG_GPIO_PRT1_PS
SOL_2__SHIFT EQU 6

/* SOL_3 */
SOL_3__0__DR EQU CYREG_GPIO_PRT1_DR
SOL_3__0__DR_CLR EQU CYREG_GPIO_PRT1_DR_CLR
SOL_3__0__DR_INV EQU CYREG_GPIO_PRT1_DR_INV
SOL_3__0__DR_SET EQU CYREG_GPIO_PRT1_DR_SET
SOL_3__0__HSIOM EQU CYREG_HSIOM_PORT_SEL1
SOL_3__0__HSIOM_MASK EQU 0x00F00000
SOL_3__0__HSIOM_SHIFT EQU 20
SOL_3__0__INTCFG EQU CYREG_GPIO_PRT1_INTR_CFG
SOL_3__0__INTR EQU CYREG_GPIO_PRT1_INTR
SOL_3__0__INTR_CFG EQU CYREG_GPIO_PRT1_INTR_CFG
SOL_3__0__INTSTAT EQU CYREG_GPIO_PRT1_INTR
SOL_3__0__MASK EQU 0x20
SOL_3__0__PC EQU CYREG_GPIO_PRT1_PC
SOL_3__0__PC2 EQU CYREG_GPIO_PRT1_PC2
SOL_3__0__PORT EQU 1
SOL_3__0__PS EQU CYREG_GPIO_PRT1_PS
SOL_3__0__SHIFT EQU 5
SOL_3__DR EQU CYREG_GPIO_PRT1_DR
SOL_3__DR_CLR EQU CYREG_GPIO_PRT1_DR_CLR
SOL_3__DR_INV EQU CYREG_GPIO_PRT1_DR_INV
SOL_3__DR_SET EQU CYREG_GPIO_PRT1_DR_SET
SOL_3__INTCFG EQU CYREG_GPIO_PRT1_INTR_CFG
SOL_3__INTR EQU CYREG_GPIO_PRT1_INTR
SOL_3__INTR_CFG EQU CYREG_GPIO_PRT1_INTR_CFG
SOL_3__INTSTAT EQU CYREG_GPIO_PRT1_INTR
SOL_3__MASK EQU 0x20
SOL_3__PC EQU CYREG_GPIO_PRT1_PC
SOL_3__PC2 EQU CYREG_GPIO_PRT1_PC2
SOL_3__PORT EQU 1
SOL_3__PS EQU CYREG_GPIO_PRT1_PS
SOL_3__SHIFT EQU 5

/* SOL_4 */
SOL_4__0__DR EQU CYREG_GPIO_PRT1_DR
SOL_4__0__DR_CLR EQU CYREG_GPIO_PRT1_DR_CLR
SOL_4__0__DR_INV EQU CYREG_GPIO_PRT1_DR_INV
SOL_4__0__DR_SET EQU CYREG_GPIO_PRT1_DR_SET
SOL_4__0__HSIOM EQU CYREG_HSIOM_PORT_SEL1
SOL_4__0__HSIOM_MASK EQU 0x000F0000
SOL_4__0__HSIOM_SHIFT EQU 16
SOL_4__0__INTCFG EQU CYREG_GPIO_PRT1_INTR_CFG
SOL_4__0__INTR EQU CYREG_GPIO_PRT1_INTR
SOL_4__0__INTR_CFG EQU CYREG_GPIO_PRT1_INTR_CFG
SOL_4__0__INTSTAT EQU CYREG_GPIO_PRT1_INTR
SOL_4__0__MASK EQU 0x10
SOL_4__0__PC EQU CYREG_GPIO_PRT1_PC
SOL_4__0__PC2 EQU CYREG_GPIO_PRT1_PC2
SOL_4__0__PORT EQU 1
SOL_4__0__PS EQU CYREG_GPIO_PRT1_PS
SOL_4__0__SHIFT EQU 4
SOL_4__DR EQU CYREG_GPIO_PRT1_DR
SOL_4__DR_CLR EQU CYREG_GPIO_PRT1_DR_CLR
SOL_4__DR_INV EQU CYREG_GPIO_PRT1_DR_INV
SOL_4__DR_SET EQU CYREG_GPIO_PRT1_DR_SET
SOL_4__INTCFG EQU CYREG_GPIO_PRT1_INTR_CFG
SOL_4__INTR EQU CYREG_GPIO_PRT1_INTR
SOL_4__INTR_CFG EQU CYREG_GPIO_PRT1_INTR_CFG
SOL_4__INTSTAT EQU CYREG_GPIO_PRT1_INTR
SOL_4__MASK EQU 0x10
SOL_4__PC EQU CYREG_GPIO_PRT1_PC
SOL_4__PC2 EQU CYREG_GPIO_PRT1_PC2
SOL_4__PORT EQU 1
SOL_4__PS EQU CYREG_GPIO_PRT1_PS
SOL_4__SHIFT EQU 4

/* SOL_5 */
SOL_5__0__DR EQU CYREG_GPIO_PRT1_DR
SOL_5__0__DR_CLR EQU CYREG_GPIO_PRT1_DR_CLR
SOL_5__0__DR_INV EQU CYREG_GPIO_PRT1_DR_INV
SOL_5__0__DR_SET EQU CYREG_GPIO_PRT1_DR_SET
SOL_5__0__HSIOM EQU CYREG_HSIOM_PORT_SEL1
SOL_5__0__HSIOM_MASK EQU 0x0000F000
SOL_5__0__HSIOM_SHIFT EQU 12
SOL_5__0__INTCFG EQU CYREG_GPIO_PRT1_INTR_CFG
SOL_5__0__INTR EQU CYREG_GPIO_PRT1_INTR
SOL_5__0__INTR_CFG EQU CYREG_GPIO_PRT1_INTR_CFG
SOL_5__0__INTSTAT EQU CYREG_GPIO_PRT1_INTR
SOL_5__0__MASK EQU 0x08
SOL_5__0__PC EQU CYREG_GPIO_PRT1_PC
SOL_5__0__PC2 EQU CYREG_GPIO_PRT1_PC2
SOL_5__0__PORT EQU 1
SOL_5__0__PS EQU CYREG_GPIO_PRT1_PS
SOL_5__0__SHIFT EQU 3
SOL_5__DR EQU CYREG_GPIO_PRT1_DR
SOL_5__DR_CLR EQU CYREG_GPIO_PRT1_DR_CLR
SOL_5__DR_INV EQU CYREG_GPIO_PRT1_DR_INV
SOL_5__DR_SET EQU CYREG_GPIO_PRT1_DR_SET
SOL_5__INTCFG EQU CYREG_GPIO_PRT1_INTR_CFG
SOL_5__INTR EQU CYREG_GPIO_PRT1_INTR
SOL_5__INTR_CFG EQU CYREG_GPIO_PRT1_INTR_CFG
SOL_5__INTSTAT EQU CYREG_GPIO_PRT1_INTR
SOL_5__MASK EQU 0x08
SOL_5__PC EQU CYREG_GPIO_PRT1_PC
SOL_5__PC2 EQU CYREG_GPIO_PRT1_PC2
SOL_5__PORT EQU 1
SOL_5__PS EQU CYREG_GPIO_PRT1_PS
SOL_5__SHIFT EQU 3

/* SOL_6 */
SOL_6__0__DR EQU CYREG_GPIO_PRT1_DR
SOL_6__0__DR_CLR EQU CYREG_GPIO_PRT1_DR_CLR
SOL_6__0__DR_INV EQU CYREG_GPIO_PRT1_DR_INV
SOL_6__0__DR_SET EQU CYREG_GPIO_PRT1_DR_SET
SOL_6__0__HSIOM EQU CYREG_HSIOM_PORT_SEL1
SOL_6__0__HSIOM_MASK EQU 0x00000F00
SOL_6__0__HSIOM_SHIFT EQU 8
SOL_6__0__INTCFG EQU CYREG_GPIO_PRT1_INTR_CFG
SOL_6__0__INTR EQU CYREG_GPIO_PRT1_INTR
SOL_6__0__INTR_CFG EQU CYREG_GPIO_PRT1_INTR_CFG
SOL_6__0__INTSTAT EQU CYREG_GPIO_PRT1_INTR
SOL_6__0__MASK EQU 0x04
SOL_6__0__PC EQU CYREG_GPIO_PRT1_PC
SOL_6__0__PC2 EQU CYREG_GPIO_PRT1_PC2
SOL_6__0__PORT EQU 1
SOL_6__0__PS EQU CYREG_GPIO_PRT1_PS
SOL_6__0__SHIFT EQU 2
SOL_6__DR EQU CYREG_GPIO_PRT1_DR
SOL_6__DR_CLR EQU CYREG_GPIO_PRT1_DR_CLR
SOL_6__DR_INV EQU CYREG_GPIO_PRT1_DR_INV
SOL_6__DR_SET EQU CYREG_GPIO_PRT1_DR_SET
SOL_6__INTCFG EQU CYREG_GPIO_PRT1_INTR_CFG
SOL_6__INTR EQU CYREG_GPIO_PRT1_INTR
SOL_6__INTR_CFG EQU CYREG_GPIO_PRT1_INTR_CFG
SOL_6__INTSTAT EQU CYREG_GPIO_PRT1_INTR
SOL_6__MASK EQU 0x04
SOL_6__PC EQU CYREG_GPIO_PRT1_PC
SOL_6__PC2 EQU CYREG_GPIO_PRT1_PC2
SOL_6__PORT EQU 1
SOL_6__PS EQU CYREG_GPIO_PRT1_PS
SOL_6__SHIFT EQU 2

/* SOL_7 */
SOL_7__0__DR EQU CYREG_GPIO_PRT1_DR
SOL_7__0__DR_CLR EQU CYREG_GPIO_PRT1_DR_CLR
SOL_7__0__DR_INV EQU CYREG_GPIO_PRT1_DR_INV
SOL_7__0__DR_SET EQU CYREG_GPIO_PRT1_DR_SET
SOL_7__0__HSIOM EQU CYREG_HSIOM_PORT_SEL1
SOL_7__0__HSIOM_MASK EQU 0x000000F0
SOL_7__0__HSIOM_SHIFT EQU 4
SOL_7__0__INTCFG EQU CYREG_GPIO_PRT1_INTR_CFG
SOL_7__0__INTR EQU CYREG_GPIO_PRT1_INTR
SOL_7__0__INTR_CFG EQU CYREG_GPIO_PRT1_INTR_CFG
SOL_7__0__INTSTAT EQU CYREG_GPIO_PRT1_INTR
SOL_7__0__MASK EQU 0x02
SOL_7__0__PC EQU CYREG_GPIO_PRT1_PC
SOL_7__0__PC2 EQU CYREG_GPIO_PRT1_PC2
SOL_7__0__PORT EQU 1
SOL_7__0__PS EQU CYREG_GPIO_PRT1_PS
SOL_7__0__SHIFT EQU 1
SOL_7__DR EQU CYREG_GPIO_PRT1_DR
SOL_7__DR_CLR EQU CYREG_GPIO_PRT1_DR_CLR
SOL_7__DR_INV EQU CYREG_GPIO_PRT1_DR_INV
SOL_7__DR_SET EQU CYREG_GPIO_PRT1_DR_SET
SOL_7__INTCFG EQU CYREG_GPIO_PRT1_INTR_CFG
SOL_7__INTR EQU CYREG_GPIO_PRT1_INTR
SOL_7__INTR_CFG EQU CYREG_GPIO_PRT1_INTR_CFG
SOL_7__INTSTAT EQU CYREG_GPIO_PRT1_INTR
SOL_7__MASK EQU 0x02
SOL_7__PC EQU CYREG_GPIO_PRT1_PC
SOL_7__PC2 EQU CYREG_GPIO_PRT1_PC2
SOL_7__PORT EQU 1
SOL_7__PS EQU CYREG_GPIO_PRT1_PS
SOL_7__SHIFT EQU 1

/* SOL_8 */
SOL_8__0__DR EQU CYREG_GPIO_PRT1_DR
SOL_8__0__DR_CLR EQU CYREG_GPIO_PRT1_DR_CLR
SOL_8__0__DR_INV EQU CYREG_GPIO_PRT1_DR_INV
SOL_8__0__DR_SET EQU CYREG_GPIO_PRT1_DR_SET
SOL_8__0__HSIOM EQU CYREG_HSIOM_PORT_SEL1
SOL_8__0__HSIOM_MASK EQU 0x0000000F
SOL_8__0__HSIOM_SHIFT EQU 0
SOL_8__0__INTCFG EQU CYREG_GPIO_PRT1_INTR_CFG
SOL_8__0__INTR EQU CYREG_GPIO_PRT1_INTR
SOL_8__0__INTR_CFG EQU CYREG_GPIO_PRT1_INTR_CFG
SOL_8__0__INTSTAT EQU CYREG_GPIO_PRT1_INTR
SOL_8__0__MASK EQU 0x01
SOL_8__0__PC EQU CYREG_GPIO_PRT1_PC
SOL_8__0__PC2 EQU CYREG_GPIO_PRT1_PC2
SOL_8__0__PORT EQU 1
SOL_8__0__PS EQU CYREG_GPIO_PRT1_PS
SOL_8__0__SHIFT EQU 0
SOL_8__DR EQU CYREG_GPIO_PRT1_DR
SOL_8__DR_CLR EQU CYREG_GPIO_PRT1_DR_CLR
SOL_8__DR_INV EQU CYREG_GPIO_PRT1_DR_INV
SOL_8__DR_SET EQU CYREG_GPIO_PRT1_DR_SET
SOL_8__INTCFG EQU CYREG_GPIO_PRT1_INTR_CFG
SOL_8__INTR EQU CYREG_GPIO_PRT1_INTR
SOL_8__INTR_CFG EQU CYREG_GPIO_PRT1_INTR_CFG
SOL_8__INTSTAT EQU CYREG_GPIO_PRT1_INTR
SOL_8__MASK EQU 0x01
SOL_8__PC EQU CYREG_GPIO_PRT1_PC
SOL_8__PC2 EQU CYREG_GPIO_PRT1_PC2
SOL_8__PORT EQU 1
SOL_8__PS EQU CYREG_GPIO_PRT1_PS
SOL_8__SHIFT EQU 0

/* Router */
Router__0__DR EQU CYREG_GPIO_PRT4_DR
Router__0__DR_CLR EQU CYREG_GPIO_PRT4_DR_CLR
Router__0__DR_INV EQU CYREG_GPIO_PRT4_DR_INV
Router__0__DR_SET EQU CYREG_GPIO_PRT4_DR_SET
Router__0__HSIOM EQU CYREG_HSIOM_PORT_SEL4
Router__0__HSIOM_MASK EQU 0x00000F00
Router__0__HSIOM_SHIFT EQU 8
Router__0__INTCFG EQU CYREG_GPIO_PRT4_INTR_CFG
Router__0__INTR EQU CYREG_GPIO_PRT4_INTR
Router__0__INTR_CFG EQU CYREG_GPIO_PRT4_INTR_CFG
Router__0__INTSTAT EQU CYREG_GPIO_PRT4_INTR
Router__0__MASK EQU 0x04
Router__0__PC EQU CYREG_GPIO_PRT4_PC
Router__0__PC2 EQU CYREG_GPIO_PRT4_PC2
Router__0__PORT EQU 4
Router__0__PS EQU CYREG_GPIO_PRT4_PS
Router__0__SHIFT EQU 2
Router__DR EQU CYREG_GPIO_PRT4_DR
Router__DR_CLR EQU CYREG_GPIO_PRT4_DR_CLR
Router__DR_INV EQU CYREG_GPIO_PRT4_DR_INV
Router__DR_SET EQU CYREG_GPIO_PRT4_DR_SET
Router__INTCFG EQU CYREG_GPIO_PRT4_INTR_CFG
Router__INTR EQU CYREG_GPIO_PRT4_INTR
Router__INTR_CFG EQU CYREG_GPIO_PRT4_INTR_CFG
Router__INTSTAT EQU CYREG_GPIO_PRT4_INTR
Router__MASK EQU 0x04
Router__PC EQU CYREG_GPIO_PRT4_PC
Router__PC2 EQU CYREG_GPIO_PRT4_PC2
Router__PORT EQU 4
Router__PS EQU CYREG_GPIO_PRT4_PS
Router__SHIFT EQU 2

/* Status */
Status__0__DR EQU CYREG_GPIO_PRT3_DR
Status__0__DR_CLR EQU CYREG_GPIO_PRT3_DR_CLR
Status__0__DR_INV EQU CYREG_GPIO_PRT3_DR_INV
Status__0__DR_SET EQU CYREG_GPIO_PRT3_DR_SET
Status__0__HSIOM EQU CYREG_HSIOM_PORT_SEL3
Status__0__HSIOM_MASK EQU 0x000F0000
Status__0__HSIOM_SHIFT EQU 16
Status__0__INTCFG EQU CYREG_GPIO_PRT3_INTR_CFG
Status__0__INTR EQU CYREG_GPIO_PRT3_INTR
Status__0__INTR_CFG EQU CYREG_GPIO_PRT3_INTR_CFG
Status__0__INTSTAT EQU CYREG_GPIO_PRT3_INTR
Status__0__MASK EQU 0x10
Status__0__PC EQU CYREG_GPIO_PRT3_PC
Status__0__PC2 EQU CYREG_GPIO_PRT3_PC2
Status__0__PORT EQU 3
Status__0__PS EQU CYREG_GPIO_PRT3_PS
Status__0__SHIFT EQU 4
Status__DR EQU CYREG_GPIO_PRT3_DR
Status__DR_CLR EQU CYREG_GPIO_PRT3_DR_CLR
Status__DR_INV EQU CYREG_GPIO_PRT3_DR_INV
Status__DR_SET EQU CYREG_GPIO_PRT3_DR_SET
Status__INTCFG EQU CYREG_GPIO_PRT3_INTR_CFG
Status__INTR EQU CYREG_GPIO_PRT3_INTR
Status__INTR_CFG EQU CYREG_GPIO_PRT3_INTR_CFG
Status__INTSTAT EQU CYREG_GPIO_PRT3_INTR
Status__MASK EQU 0x10
Status__PC EQU CYREG_GPIO_PRT3_PC
Status__PC2 EQU CYREG_GPIO_PRT3_PC2
Status__PORT EQU 3
Status__PS EQU CYREG_GPIO_PRT3_PS
Status__SHIFT EQU 4

/* HW_Select1 */
HW_Select1__0__DR EQU CYREG_GPIO_PRT3_DR
HW_Select1__0__DR_CLR EQU CYREG_GPIO_PRT3_DR_CLR
HW_Select1__0__DR_INV EQU CYREG_GPIO_PRT3_DR_INV
HW_Select1__0__DR_SET EQU CYREG_GPIO_PRT3_DR_SET
HW_Select1__0__HSIOM EQU CYREG_HSIOM_PORT_SEL3
HW_Select1__0__HSIOM_MASK EQU 0x00F00000
HW_Select1__0__HSIOM_SHIFT EQU 20
HW_Select1__0__INTCFG EQU CYREG_GPIO_PRT3_INTR_CFG
HW_Select1__0__INTR EQU CYREG_GPIO_PRT3_INTR
HW_Select1__0__INTR_CFG EQU CYREG_GPIO_PRT3_INTR_CFG
HW_Select1__0__INTSTAT EQU CYREG_GPIO_PRT3_INTR
HW_Select1__0__MASK EQU 0x20
HW_Select1__0__PC EQU CYREG_GPIO_PRT3_PC
HW_Select1__0__PC2 EQU CYREG_GPIO_PRT3_PC2
HW_Select1__0__PORT EQU 3
HW_Select1__0__PS EQU CYREG_GPIO_PRT3_PS
HW_Select1__0__SHIFT EQU 5
HW_Select1__DR EQU CYREG_GPIO_PRT3_DR
HW_Select1__DR_CLR EQU CYREG_GPIO_PRT3_DR_CLR
HW_Select1__DR_INV EQU CYREG_GPIO_PRT3_DR_INV
HW_Select1__DR_SET EQU CYREG_GPIO_PRT3_DR_SET
HW_Select1__INTCFG EQU CYREG_GPIO_PRT3_INTR_CFG
HW_Select1__INTR EQU CYREG_GPIO_PRT3_INTR
HW_Select1__INTR_CFG EQU CYREG_GPIO_PRT3_INTR_CFG
HW_Select1__INTSTAT EQU CYREG_GPIO_PRT3_INTR
HW_Select1__MASK EQU 0x20
HW_Select1__PC EQU CYREG_GPIO_PRT3_PC
HW_Select1__PC2 EQU CYREG_GPIO_PRT3_PC2
HW_Select1__PORT EQU 3
HW_Select1__PS EQU CYREG_GPIO_PRT3_PS
HW_Select1__SHIFT EQU 5

/* HW_Select2 */
HW_Select2__0__DR EQU CYREG_GPIO_PRT3_DR
HW_Select2__0__DR_CLR EQU CYREG_GPIO_PRT3_DR_CLR
HW_Select2__0__DR_INV EQU CYREG_GPIO_PRT3_DR_INV
HW_Select2__0__DR_SET EQU CYREG_GPIO_PRT3_DR_SET
HW_Select2__0__HSIOM EQU CYREG_HSIOM_PORT_SEL3
HW_Select2__0__HSIOM_MASK EQU 0x0F000000
HW_Select2__0__HSIOM_SHIFT EQU 24
HW_Select2__0__INTCFG EQU CYREG_GPIO_PRT3_INTR_CFG
HW_Select2__0__INTR EQU CYREG_GPIO_PRT3_INTR
HW_Select2__0__INTR_CFG EQU CYREG_GPIO_PRT3_INTR_CFG
HW_Select2__0__INTSTAT EQU CYREG_GPIO_PRT3_INTR
HW_Select2__0__MASK EQU 0x40
HW_Select2__0__PC EQU CYREG_GPIO_PRT3_PC
HW_Select2__0__PC2 EQU CYREG_GPIO_PRT3_PC2
HW_Select2__0__PORT EQU 3
HW_Select2__0__PS EQU CYREG_GPIO_PRT3_PS
HW_Select2__0__SHIFT EQU 6
HW_Select2__DR EQU CYREG_GPIO_PRT3_DR
HW_Select2__DR_CLR EQU CYREG_GPIO_PRT3_DR_CLR
HW_Select2__DR_INV EQU CYREG_GPIO_PRT3_DR_INV
HW_Select2__DR_SET EQU CYREG_GPIO_PRT3_DR_SET
HW_Select2__INTCFG EQU CYREG_GPIO_PRT3_INTR_CFG
HW_Select2__INTR EQU CYREG_GPIO_PRT3_INTR
HW_Select2__INTR_CFG EQU CYREG_GPIO_PRT3_INTR_CFG
HW_Select2__INTSTAT EQU CYREG_GPIO_PRT3_INTR
HW_Select2__MASK EQU 0x40
HW_Select2__PC EQU CYREG_GPIO_PRT3_PC
HW_Select2__PC2 EQU CYREG_GPIO_PRT3_PC2
HW_Select2__PORT EQU 3
HW_Select2__PS EQU CYREG_GPIO_PRT3_PS
HW_Select2__SHIFT EQU 6

/* Miscellaneous */
CYDEV_BCLK__HFCLK__HZ EQU 24000000
CYDEV_BCLK__HFCLK__KHZ EQU 24000
CYDEV_BCLK__HFCLK__MHZ EQU 24
CYDEV_BCLK__SYSCLK__HZ EQU 24000000
CYDEV_BCLK__SYSCLK__KHZ EQU 24000
CYDEV_BCLK__SYSCLK__MHZ EQU 24
CYDEV_CHIP_DIE_LEOPARD EQU 1
CYDEV_CHIP_DIE_PSOC4A EQU 26
CYDEV_CHIP_DIE_PSOC5LP EQU 2
CYDEV_CHIP_DIE_PSOC5TM EQU 3
CYDEV_CHIP_DIE_TMA4 EQU 4
CYDEV_CHIP_DIE_UNKNOWN EQU 0
CYDEV_CHIP_FAMILY_FM0P EQU 5
CYDEV_CHIP_FAMILY_FM3 EQU 6
CYDEV_CHIP_FAMILY_FM4 EQU 7
CYDEV_CHIP_FAMILY_PSOC3 EQU 1
CYDEV_CHIP_FAMILY_PSOC4 EQU 2
CYDEV_CHIP_FAMILY_PSOC5 EQU 3
CYDEV_CHIP_FAMILY_PSOC6 EQU 4
CYDEV_CHIP_FAMILY_UNKNOWN EQU 0
CYDEV_CHIP_FAMILY_USED EQU CYDEV_CHIP_FAMILY_PSOC4
CYDEV_CHIP_JTAG_ID EQU 0x251811B5
CYDEV_CHIP_MEMBER_3A EQU 1
CYDEV_CHIP_MEMBER_4A EQU 26
CYDEV_CHIP_MEMBER_4AA EQU 25
CYDEV_CHIP_MEMBER_4AB EQU 30
CYDEV_CHIP_MEMBER_4AC EQU 14
CYDEV_CHIP_MEMBER_4AD EQU 15
CYDEV_CHIP_MEMBER_4AE EQU 16
CYDEV_CHIP_MEMBER_4D EQU 20
CYDEV_CHIP_MEMBER_4E EQU 6
CYDEV_CHIP_MEMBER_4F EQU 27
CYDEV_CHIP_MEMBER_4G EQU 4
CYDEV_CHIP_MEMBER_4H EQU 24
CYDEV_CHIP_MEMBER_4I EQU 32
CYDEV_CHIP_MEMBER_4J EQU 21
CYDEV_CHIP_MEMBER_4K EQU 22
CYDEV_CHIP_MEMBER_4L EQU 31
CYDEV_CHIP_MEMBER_4M EQU 29
CYDEV_CHIP_MEMBER_4N EQU 11
CYDEV_CHIP_MEMBER_4O EQU 8
CYDEV_CHIP_MEMBER_4P EQU 28
CYDEV_CHIP_MEMBER_4Q EQU 17
CYDEV_CHIP_MEMBER_4R EQU 9
CYDEV_CHIP_MEMBER_4S EQU 12
CYDEV_CHIP_MEMBER_4T EQU 10
CYDEV_CHIP_MEMBER_4U EQU 5
CYDEV_CHIP_MEMBER_4V EQU 23
CYDEV_CHIP_MEMBER_4W EQU 13
CYDEV_CHIP_MEMBER_4X EQU 7
CYDEV_CHIP_MEMBER_4Y EQU 18
CYDEV_CHIP_MEMBER_4Z EQU 19
CYDEV_CHIP_MEMBER_5A EQU 3
CYDEV_CHIP_MEMBER_5B EQU 2
CYDEV_CHIP_MEMBER_6A EQU 33
CYDEV_CHIP_MEMBER_FM3 EQU 37
CYDEV_CHIP_MEMBER_FM4 EQU 38
CYDEV_CHIP_MEMBER_PDL_FM0P_TYPE1 EQU 34
CYDEV_CHIP_MEMBER_PDL_FM0P_TYPE2 EQU 35
CYDEV_CHIP_MEMBER_PDL_FM0P_TYPE3 EQU 36
CYDEV_CHIP_MEMBER_UNKNOWN EQU 0
CYDEV_CHIP_MEMBER_USED EQU CYDEV_CHIP_MEMBER_4V
CYDEV_CHIP_DIE_EXPECT EQU CYDEV_CHIP_MEMBER_USED
CYDEV_CHIP_DIE_ACTUAL EQU CYDEV_CHIP_DIE_EXPECT
CYDEV_CHIP_REV_LEOPARD_ES1 EQU 0
CYDEV_CHIP_REV_LEOPARD_ES2 EQU 1
CYDEV_CHIP_REV_LEOPARD_ES3 EQU 3
CYDEV_CHIP_REV_LEOPARD_PRODUCTION EQU 3
CYDEV_CHIP_REV_PSOC4A_ES0 EQU 17
CYDEV_CHIP_REV_PSOC4A_PRODUCTION EQU 17
CYDEV_CHIP_REV_PSOC5LP_ES0 EQU 0
CYDEV_CHIP_REV_PSOC5LP_PRODUCTION EQU 0
CYDEV_CHIP_REV_PSOC5TM_ES0 EQU 0
CYDEV_CHIP_REV_PSOC5TM_ES1 EQU 1
CYDEV_CHIP_REV_PSOC5TM_PRODUCTION EQU 1
CYDEV_CHIP_REV_TMA4_ES EQU 17
CYDEV_CHIP_REV_TMA4_ES2 EQU 33
CYDEV_CHIP_REV_TMA4_PRODUCTION EQU 17
CYDEV_CHIP_REVISION_3A_ES1 EQU 0
CYDEV_CHIP_REVISION_3A_ES2 EQU 1
CYDEV_CHIP_REVISION_3A_ES3 EQU 3
CYDEV_CHIP_REVISION_3A_PRODUCTION EQU 3
CYDEV_CHIP_REVISION_4A_ES0 EQU 17
CYDEV_CHIP_REVISION_4A_PRODUCTION EQU 17
CYDEV_CHIP_REVISION_4AA_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4AB_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4AC_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4AD_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4AE_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4D_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4E_CCG2_NO_USBPD EQU 0
CYDEV_CHIP_REVISION_4E_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4F_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4F_PRODUCTION_256DMA EQU 0
CYDEV_CHIP_REVISION_4F_PRODUCTION_256K EQU 0
CYDEV_CHIP_REVISION_4G_ES EQU 17
CYDEV_CHIP_REVISION_4G_ES2 EQU 33
CYDEV_CHIP_REVISION_4G_PRODUCTION EQU 17
CYDEV_CHIP_REVISION_4H_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4I_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4J_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4K_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4L_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4M_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4N_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4O_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4P_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4Q_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4R_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4S_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4T_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4U_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4V_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4W_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4X_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4Y_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4Z_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_5A_ES0 EQU 0
CYDEV_CHIP_REVISION_5A_ES1 EQU 1
CYDEV_CHIP_REVISION_5A_PRODUCTION EQU 1
CYDEV_CHIP_REVISION_5B_ES0 EQU 0
CYDEV_CHIP_REVISION_5B_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_6A_ES EQU 17
CYDEV_CHIP_REVISION_6A_NO_UDB EQU 33
CYDEV_CHIP_REVISION_6A_PRODUCTION EQU 33
CYDEV_CHIP_REVISION_FM3_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_FM4_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_PDL_FM0P_TYPE1_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_PDL_FM0P_TYPE2_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_PDL_FM0P_TYPE3_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_USED EQU CYDEV_CHIP_REVISION_4V_PRODUCTION
CYDEV_CHIP_REV_EXPECT EQU CYDEV_CHIP_REVISION_USED
CYDEV_CONFIG_READ_ACCELERATOR EQU 1
CYDEV_CONFIG_UNUSED_IO_AllowButWarn EQU 0
CYDEV_CONFIG_UNUSED_IO_AllowWithInfo EQU 1
CYDEV_CONFIG_UNUSED_IO_Disallowed EQU 2
CYDEV_CONFIG_UNUSED_IO EQU CYDEV_CONFIG_UNUSED_IO_Disallowed
CYDEV_CONFIGURATION_COMPRESSED EQU 1
CYDEV_CONFIGURATION_MODE_COMPRESSED EQU 0
CYDEV_CONFIGURATION_MODE EQU CYDEV_CONFIGURATION_MODE_COMPRESSED
CYDEV_CONFIGURATION_MODE_DMA EQU 2
CYDEV_CONFIGURATION_MODE_UNCOMPRESSED EQU 1
CYDEV_DEBUG_PROTECT_KILL EQU 4
CYDEV_DEBUG_PROTECT_OPEN EQU 1
CYDEV_DEBUG_PROTECT EQU CYDEV_DEBUG_PROTECT_OPEN
CYDEV_DEBUG_PROTECT_PROTECTED EQU 2
CYDEV_DEBUGGING_DPS_Disable EQU 3
CYDEV_DEBUGGING_DPS_SWD EQU 2
CYDEV_DEBUGGING_DPS EQU CYDEV_DEBUGGING_DPS_SWD
CYDEV_DEBUGGING_ENABLE EQU 1
CYDEV_DFT_SELECT_CLK0 EQU 8
CYDEV_DFT_SELECT_CLK1 EQU 9
CYDEV_DMA_CHANNELS_AVAILABLE EQU 8
CYDEV_HEAP_SIZE EQU 0x80
CYDEV_IMO_TRIMMED_BY_USB EQU 0
CYDEV_IMO_TRIMMED_BY_WCO EQU 0
CYDEV_INTR_NUMBER_DMA EQU 14
CYDEV_IS_EXPORTING_CODE EQU 0
CYDEV_IS_IMPORTING_CODE EQU 0
CYDEV_PROJ_TYPE EQU 0
CYDEV_PROJ_TYPE_BOOTLOADER EQU 1
CYDEV_PROJ_TYPE_LAUNCHER EQU 5
CYDEV_PROJ_TYPE_LOADABLE EQU 2
CYDEV_PROJ_TYPE_LOADABLEANDBOOTLOADER EQU 4
CYDEV_PROJ_TYPE_MULTIAPPBOOTLOADER EQU 3
CYDEV_PROJ_TYPE_STANDARD EQU 0
CYDEV_STACK_SIZE EQU 0x0800
CYDEV_USE_BUNDLED_CMSIS EQU 1
CYDEV_VARIABLE_VDDA EQU 1
CYDEV_VDDA_MV EQU 3300
CYDEV_VDDD_MV EQU 3300
CYDEV_WDT_GENERATE_ISR EQU 1
CYIPBLOCK_m0s8cpussv3_VERSION EQU 1
CYIPBLOCK_m0s8crypto_VERSION EQU 2
CYIPBLOCK_m0s8csdv2_VERSION EQU 2
CYIPBLOCK_m0s8exco_VERSION EQU 1
CYIPBLOCK_m0s8ioss_VERSION EQU 1
CYIPBLOCK_m0s8lcd_VERSION EQU 2
CYIPBLOCK_m0s8lpcomp_VERSION EQU 2
CYIPBLOCK_m0s8pass4a_VERSION EQU 1
CYIPBLOCK_m0s8peri_VERSION EQU 1
CYIPBLOCK_m0s8scb_VERSION EQU 2
CYIPBLOCK_m0s8tcpwm_VERSION EQU 2
CYIPBLOCK_m0s8wco_VERSION EQU 1
CYIPBLOCK_s8srsslt_VERSION EQU 1
DMA_CHANNELS_USED__MASK EQU 0
CYDEV_BOOTLOADER_ENABLE EQU 0

#endif /* INCLUDED_CYFITTERIAR_INC */
